- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1d309648-8b04-4609-ad2b-4a296fb31534
    creation_time: 2023-02-17T13:41:06.246518Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de32.c
      input_file_hashes:
        c/loops-crafted-1/in-de32.c: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de32.c
    file_hash: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
    line: 16
    column: 0
    function: main
  loop_invariant:
    string: x + y == n
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e7d5387d-ccc1-4009-85e0-8120ddf59296
    creation_time: 2023-02-17T13:41:06.246711Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de32.c
      input_file_hashes:
        c/loops-crafted-1/in-de32.c: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de32.c
    file_hash: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: x + z == y
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1f66b191-019b-4d8b-86c8-13ef39f2660d
    creation_time: 2023-02-17T13:41:06.246797Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de32.c
      input_file_hashes:
        c/loops-crafted-1/in-de32.c: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de32.c
    file_hash: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: x == y
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3e5e3468-229b-4391-9be9-ca33d1165204
    creation_time: 2023-02-17T13:41:06.247082Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/in-de32.c
      input_file_hashes:
        c/loops-crafted-1/in-de32.c: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/in-de32.c
    file_hash: be02771c62bfe2ce14e3e1aa527948281d29318788bbe261fd0d537b1dc5e291
    line: 36
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

